function handle=ternplot(c1,c2,v)
x=0.5*(1+c1-c2);
y=sqrt(3)/2*(1-c1-c2);
if v==1
    handle=plot(x,y,'b');
elseif v==2
    handle=plot(x,y,'g');
elseif v==3
    handle=plot(x,y,'y');
elseif v==4
    handle=plot(x,y,'r');
elseif v==-1
    handle=plot(x,y,'b--');
elseif v==-2
    handle=plot(x,y,'g--');
elseif v==-3
    handle=plot(x,y,'y--');
else
    handle=plot(x,y,'r--');
end